Apis::V4::UnreadItem API

delete all unread items by celebration item

Deleting unread_items will mark the current user's items as being read. It's similar to a soft-delete.

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also pass this into the Authorization header)
organization_celebration_item_id The Organization Celebration Item whose the items should be deleted.

Request

Headers

Version: HTTP/1.0
Accept: application/vnd.api+json
Content-Type: application/vnd.api+json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjo1NCwiZXhwIjoxNzk0NTQwMjA1LCJpYXQiOjE3OTQ1NDAwMjV9.teth090QP07WN2pGgRnhyswlX5VlBGW-xa2DC3QWPYg
Host: example.org
Cookie: 

Route

DELETE /apis/v4/unread_items?organization_celebration_item_id=14

Query Parameters

organization_celebration_item_id=14

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjo1NCwiZXhwIjoxNzk0NzEyODI1LCJpYXQiOjE3OTQ1NDAwMjV9.krkRK7smxYwureBciEsEa8B5ftu_6p7ikiW1PrVWANo
Access-Control-Expose-Headers: X-MH-Session
Cache-Control: no-cache
X-Request-Id: d0c7fdb2-3236-4486-97db-42165c3caba7
X-Runtime: 0.034313

Status

204